Subject: bug#62044: 30.0.50; ERC 5.5: Auto-reconnect is broken

From: "J.P." <[email-masked]>
Date: Mon, 10 Apr 2023 13:25:06 -0700

A Libera user was good enough to try this patch and has unfortunately
reported something reminiscent of the old buffer-association troubles
from versions past. According to them, buffers aren't being reused and
new ones are receiving "<n>"-suffixed names. Sadly, this sounds all too
plausible, although they haven't yet furnished a recipe, and I haven't
been able to reproduce anything similar.

Despite this, I've decided to keep things moving and perhaps cast a
wider net by adding these changes to HEAD. Hopefully, this will compel
others to shed more light on the user's account. If all else fails, I
suppose we can consider temporarily changing the default value of
`erc-server-reconnect-function' to enable the new behavior for everyone.
Of course, that runs the risk of annoying disinterested folks while we
work out the kinks. If anyone has something to add here, please share.
Thanks.